Bug 207939 - RFE: yum show which package needed what dependency
RFE: yum show which package needed what dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-25 10:56 EDT by Jason
Modified: 2014-01-21 17:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 14:20:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 2006-09-25 10:56:59 EDT
Description of problem:
I am running rawhide. I was doing a yum update today and I noticed that yum
added 5 packages to resolve dependencies. It would be nice if yum told me which
package it was updating that needed what dependencies. Here is a list of
dependences that yum added:

Installing for dependencies:
binutils   i386       2.17.50.0.3-6    development       2.9 M
gettext    i386       0.14.6-2.fc6     development       1.4 M
gnome-mag  i386       0.13.1-1.fc6     development        93 k
m4         i386       1.4.5-3          development       133 k
patch      i386       2.5.4-29.2.2     development        64 k

I am requesting something like:
Installing for dependencies:
binutils   i386       2.17.50.0.3-6    development       2.9 M
binutils needed to resolve dependencies on foo
gettext    i386       0.14.6-2.fc6     development       1.4 M
gettext needed to resolve dependencies on bar
gnome-mag  i386       0.13.1-1.fc6     development        93 k
gnome-mag needed to resolve dependencies on foo and bar
m4         i386       1.4.5-3          development       133 k
patch      i386       2.5.4-29.2.2     development        64 k

Thanks,
Jason

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2007-04-25 14:20:24 EDT
One package could be required by multiple packages and this gets pretty out of
hand pretty quickly (especially as we don't necessarily resolve the entire
chains).  If you want more detailed information, you can run with a higher debug
level.

Note You need to log in before you can comment on or make changes to this bug.